# $Revision: 1.24 $, $Date: 2009/11/12 09:34:51 $
Summary:	XFree86-VidMode X extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X XFree86-VidMode
Name:		xorg-lib-libXxf86vm
Version:	1.1.0
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.bz2
# Source0-md5:	b431ad7084e1055fef99a9115237edd8
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel >= 2.2.99.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-VidMode X extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

%package devel
Summary:	Header files for libXxf86vm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86vm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86vidmodeproto-devel >= 2.2.99.1

%description devel
XFree86-VidMode X extension library.

This package contains the header files needed to develop programs that
use libXxf86vm.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86vm.

%package static
Summary:	Static libXxf86vm library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86vm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XFree86-VidMode X extension library.

This package contains the static libXxf86vm library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-VidMode.

Pakiet zawiera statyczną bibliotekę libXxf86vm.

%prep
%setup -q -n libXxf86vm-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXxf86vm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXxf86vm.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86vm.so
%{_libdir}/libXxf86vm.la
%{_includedir}/X11/extensions/xf86vmode.h
%{_pkgconfigdir}/xxf86vm.pc
%{_mandir}/man3/XF86VM.3x*
%{_mandir}/man3/XF86VidMode*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86vm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXxf86vm.spec,v $
Revision 1.24  2009/11/12 09:34:51  patrys
- rebuild
- rel 2

Revision 1.23  2009/10/05 15:48:06  qboosh
- updated util-macros version and -devel deps
- more verbose files and descs, added README to doc

Revision 1.22  2009/10/05 05:26:36  arekm
- up to 1.1.0

Revision 1.21  2009/09/04 10:00:19  arekm
- up to 1.0.99.1

Revision 1.20  2008/11/05 23:28:37  arekm
- release 2

Revision 1.19  2008/07/09 05:16:00  qboosh
- ghost soname symlink

Revision 1.18  2008/07/02 20:04:59  arekm
- up to 1.0.2

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/04/27 15:28:56  arekm
- up to 1.0.1

Revision 1.12  2006/03/08 22:13:01  qboosh
- release 1

Revision 1.11  2005/12/28 14:55:52  qboosh
- sources from X11R7.0 release

Revision 1.10  2005/12/20 14:30:53  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 12:26:52  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.5  2005/10/20 20:48:55  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 11:42:33  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- added %%doc
- removed redundant BR: libX11-devel, xextproto-devel, xproto-devel
- removed redundant R: libX11-devel, xextproto-devel, xproto-devel from
  devel package
- release 0.02

* Fri Aug  5 2005 21:17:44  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
